Documentation Index
Fetch the complete documentation index at: https://docs.xhuoapi.ai/llms.txt
Use this file to discover all available pages before exploring further.
Producer는 우리가 노래 관련 WAV 파일을 다운로드할 수 있도록 허용합니다. 본 문서는 관련 API의 연동 방법을 설명합니다.
이 API는 단 하나의 입력 매개변수인 audio_id만을 가지고 있으며, 이는 노래의 고유 ID입니다.
여기서 입력하는 audio_id는 a54609c6-13e2-4176-be0f-4d7eebc68e1f로, Producer가 생성한 노래 ID입니다.
curl -X POST 'https://api.xhuoapi.ai/v1/producer/wav' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
"audio_id": "a54609c6-13e2-4176-be0f-4d7eebc68e1f"
}'
결과는 다음과 같습니다:
{
"success": true,
"task_id": "44963173-b6c5-463c-915f-96730d14ec63",
"trace_id": "f75d6a27-54bc-49fd-a40e-6d4cd0427764",
"data": [
{
"title": "Woke up with the sun in my eyes",
"file_url": "https://cdn.ttapi.io/other/2025-12-30/a1508051-a6b8-4867-8cbb-32273a99c2ae.wav"
}
]
}
볼 수 있듯이, data의 file_url 필드는 다운로드할 WAV 링크입니다.